=== debian/changelog ===
rawtherapee (4.0.9-4+deb7u1) wheezy; urgency=high

  * Add patch debian/patches/04-fix_CVE-2015-3885.patch:
    - Fix dcraw imput sanitization errors (CVE-2015-3885)

 -- Philip Rinn <rinni@inventati.org>  Tue, 09 June 2015 20:52:45 +0200

rawtherapee (4.0.9-4) unstable; urgency=low

  * Fix RC bug that corrupts EXIF data in some cases (closes: #693736):
     - add debian/patches/03-fix_exif_corruption.patch: Use the correct
       size for multibyte EXIF tags which use TagDirectoryTable

 -- Philip Rinn <rinni@gmx.net>  Mon, 19 Nov 2012 21:11:43 +0000

rawtherapee (4.0.9-3) unstable; urgency=low

  * Fix upgrade failure to testing (closes: #677575).
  * Build-depend on libtiff-dev instead of libtiff4-dev.

 -- Philip Rinn <rinni@gmx.net>  Fri, 15 June 2012 10:43:12 +0100

rawtherapee (4.0.9-2) unstable; urgency=low

  * Fix build failures (closes: #677293):
    - use override_dh_install-{arch,indep} in debian/rules
  * Add patch debian/patches/02-fix_color_artifacts.patch:
    - fix color artifacts (from upstream)

 -- Philip Rinn <rinni@gmx.net>  Wed, 13 June 2012 20:01:54 +0100

rawtherapee (4.0.9-1) unstable; urgency=low

  * New upstream release (closes: #662753).
  * Bump Standards-Version to 3.9.3 (no changes necessary).
  * Bump debhelper compat from 8 to 9 (no changes necessary).
  * Enable hardened build flags.
  * Build-depend on libpng-dev instead of libpng12-dev (closes: #662491).
  * Refresh debian/patches/01-AboutThisBuild.patch to apply cleanly.
  * Remove debian/patches/ftbfs-gcc-4.7.diff as it's not needed anymore.
  * Split package as the arch-independent part got bigger.

 -- Philip Rinn <rinni@gmx.net>  Sun, 03 June 2012 18:50:12 +0100

rawtherapee (3.0.0~dfsg1-1.1) unstable; urgency=low

   * Non maintainer upload
   * Fix build failure with GCC 4.7. Closes: #667349.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 06:08:03 +0000
