=== debian/watch ===
# I could not find a way to watch mercurial tags on googlecode.com
# so this is just to inform you that you can get the source via 
# 'debian/rules get-orig-source'
